<?php
/**
 * @var \WC_Product $product
 */

$GLOBALS['product'] = $product;
?>
<div class="upsell__item">
    <div class="upsell-item">
        <div class="upsell-item__image">
            <a href="<?= get_permalink($product->get_id()); ?>" class="upsell-item__image-wrapper">
                <?php
                woocommerce_template_loop_product_thumbnail();
                wc_get_template('loop/sale-flash.php');
                ?>
            </a>
        </div>

        <div class="upsell-item__price">
            <?php wc_get_template('loop/price.php'); ?>
        </div>

        <div class="upsell-item__name">
            <a href="<?= get_permalink($product->get_id()); ?>">
                <?= $product->get_name(); ?>
            </a>

            <div class="upsell-item__fitting-position">
                <?php carparts_product_fitting_position($product->get_id()); ?>
            </div>
        </div>

        <div class="upsell-item__sku">
            <strong><?= __('SKU:', 'woocommerce'); ?>:</strong> <?= $product->get_sku(); ?>
            <?php
            /** @var \WP_Term[] $brands */
            $brands = get_the_terms($product->get_id(), 'product_brand');

            if (count($brands) > 0) {
                $brand = $brands[0];

                if ($thumbnail = get_term_meta($brand->term_id, 'thumbnail_id', true)) {
                    echo wp_get_attachment_image($thumbnail, 'thumbnail', false, [
                        'class' => 'product-brand-logo'
                    ]) ?: '';
                }
            }
            ?>
        </div>

        <div class="upsell-item__buttons">
            <a href="<?= get_permalink($product->get_id()); ?>">
                <?= __('Detalji <span>o proizvodu</span>', 'ep-upsell'); ?>
            </a>

            <?php $addToCart->output(); ?>
        </div>
    </div>
</div>